from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.classify.classify(model="meetkai:functionary-urdu-mini-pak", text="I absolutely love this product! Best purchase ever.", labels=[
"positive",
"negative",
"neutral",
])
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.classify.classify({
classificationRequest: {
model: "meetkai:functionary-urdu-mini-pak",
text: "I absolutely love this product! Best purchase ever.",
labels: [
"positive",
"negative",
"neutral",
],
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Classify.ClassifyAsync(body: new ClassificationRequest() {
Model = "meetkai:functionary-urdu-mini-pak",
Text = "I absolutely love this product! Best purchase ever.",
Labels = new List<string>() {
"positive",
"negative",
"neutral",
},
});
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/llm/classify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "meetkai:functionary-urdu-mini-pak",
"text": "I absolutely love this product! Best purchase ever.",
"labels": [
"positive",
"negative",
"neutral"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'meetkai:functionary-urdu-mini-pak',
text: 'I absolutely love this product! Best purchase ever.',
labels: ['positive', 'negative', 'neutral']
})
};
fetch('https://apigw.mka1.com/api/v1/llm/classify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"label": "positive",
"confidence": 0.92,
"reasoning": "The text expresses strong enthusiasm with phrases like 'absolutely love' and 'best purchase ever'."
},
"metadata": {
"model": "meetkai:functionary-urdu-mini-pak",
"labels": [
"positive",
"negative",
"neutral"
],
"classifiedAt": "2024-01-15T10:30:00Z"
}
}Classify text into predefined categories
Classifies text content into one of the provided predefined labels.
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.classify.classify(model="meetkai:functionary-urdu-mini-pak", text="I absolutely love this product! Best purchase ever.", labels=[
"positive",
"negative",
"neutral",
])
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.classify.classify({
classificationRequest: {
model: "meetkai:functionary-urdu-mini-pak",
text: "I absolutely love this product! Best purchase ever.",
labels: [
"positive",
"negative",
"neutral",
],
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Classify.ClassifyAsync(body: new ClassificationRequest() {
Model = "meetkai:functionary-urdu-mini-pak",
Text = "I absolutely love this product! Best purchase ever.",
Labels = new List<string>() {
"positive",
"negative",
"neutral",
},
});
// handle responseAuthorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Body
Request parameters for text classification. The model will analyze the text and assign it to one of the provided labels.
ID of the model to use for classification. You can use provider:model format or just the model name with a default provider.
1The text content to classify. Must not be empty.
1Array of possible classification labels. Must contain at least 2 labels. The model will choose one of these labels to assign to the text.
21Optional custom system prompt to guide the classification. Use this to provide additional context or instructions to the model about how to perform the classification.
Response
OK
Response from the text classification endpoint containing the classification result, confidence, and metadata.
Was this page helpful?